package com.lagou.lagouee.ui.adapter.search

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.adapter.listener.OnItemClick
import com.lagou.lagouee.bean.search.BaseSearchFilterOptionData
import com.lagou.lagouee.bean.search.FlowSearchFilterOptionData
import com.lagou.lagouee.ui.adapter.VipFilterMoreAdapter
import com.lagou.socketchannel.interfaces.CallBack

/**
 * Time：2024/5/9 01:37:15
 * Author：wangjunwei
 * Description：外包公司和跳槽频率
 *
 */
class VipFlowHolder(itemView: View, val vipFilterMoreAdapter: VipFilterMoreAdapter)
    : BaseViewHolder<FlowSearchFilterOptionData>(itemView)  {

    val flowLayoutPack: VipMoreFlowLayout

    init {
        flowLayoutPack = itemView as VipMoreFlowLayout
    }

    override fun onBindViewHolder(
        view: View,
        flowSearchFilterOptionData: FlowSearchFilterOptionData,
        position: Int,
        onItemClick: OnItemClick<FlowSearchFilterOptionData>?
    ) {
        flowLayoutPack.fillLabelView(flowSearchFilterOptionData.options, object : CallBack<BaseSearchFilterOptionData?> {
            override fun onCallBack(p0: BaseSearchFilterOptionData?) {
                vipFilterMoreAdapter.notifyItemChanged(position)
            }
        })
    }

    override fun getTitle(): String {
       return "外包公司和跳槽频率"
    }
}