package com.lagou.lagouee.ui.search

import com.lagou.baselib.util.mmkv.MKVUtils
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_CACHE_LOCAL
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_BROWSE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_EDUCATION
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_EXPERIENCE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_FAMOUS
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_GAP_PERIOD
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_GENDER
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_GRADUATE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_INDUSTRY
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_JOB_HOPPING
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_JOB_HUNTING
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_MAJOR
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_OUTSIDE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_SALARY
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.FILTER_OPTION_SCHOOL
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.LOCATION_MIDDLE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.LOCATION_RIGHT
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.MORE_FILTER_TITLE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.SLIDE_FILTER_OPTION_AGE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.SLIDE_FILTER_OPTION_SALARY
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_AGE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_BROWSE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_EDUCATION
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_EXPERIENCE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_FAMOUS
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_GAP_PERIOD
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_GENDER
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_GRADUATE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_INDUSTRY
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_JOB_HOPPING
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_JOB_HUNTING
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_MAJOR
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_OUTSIDE
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_SALARY
import com.lagou.lagouee.bean.search.BSearchFilterOptionType.Companion.TITLE_SCHOOL
import com.lagou.lagouee.bean.search.BaseSearchFilterOptionData
import com.lagou.lagouee.bean.search.DefaultSearchFilterOptionData
import com.lagou.lagouee.bean.search.FlowSearchFilterOptionData
import com.lagou.lagouee.bean.search.GraduateSpinnerSearchFilterOptionData
import com.lagou.lagouee.bean.search.SalarySearchFilterOptionData
import com.lagou.lagouee.bean.search.SearchConstants
import com.lagou.lagouee.bean.search.SlideSearchFilterOptionData
import com.lagou.lagouee.bean.search.SpinnerSearchFilterOptionData
import com.lagou.lagouee.bean.search.TitleSearchFilterOptionData
import com.lagou.socketchannel.util.GsonUtil

/**
 * Time：2024/4/26 12:11:47
 * Author：wangjunwei
 * Description：搜索业务帮助类
 */
class BSearchHelper {

    companion object {


        /**
         * 所有的类型，顺序决定在页面中的顺序
         */
        val filterTypeList = mutableListOf(
            TITLE_EXPERIENCE, FILTER_OPTION_EXPERIENCE, TITLE_EDUCATION,
            FILTER_OPTION_EDUCATION, TITLE_SCHOOL, FILTER_OPTION_SCHOOL,
            TITLE_AGE, SLIDE_FILTER_OPTION_AGE,
            TITLE_SALARY, FILTER_OPTION_SALARY, SLIDE_FILTER_OPTION_SALARY,
            TITLE_GENDER, FILTER_OPTION_GENDER, TITLE_GRADUATE,
            FILTER_OPTION_GRADUATE, TITLE_MAJOR, FILTER_OPTION_MAJOR,
            TITLE_JOB_HUNTING, FILTER_OPTION_JOB_HUNTING, TITLE_INDUSTRY,
            FILTER_OPTION_INDUSTRY, TITLE_OUTSIDE, FILTER_OPTION_OUTSIDE,
            TITLE_JOB_HOPPING, FILTER_OPTION_JOB_HOPPING, TITLE_GAP_PERIOD,
            FILTER_OPTION_GAP_PERIOD, TITLE_FAMOUS, FILTER_OPTION_FAMOUS,
            TITLE_BROWSE, FILTER_OPTION_BROWSE, MORE_FILTER_TITLE
        )


        /**
         * 展开后半部分Type，排除更多
         */
        val filterTypeExpandSuffixList = mutableListOf(
            TITLE_GRADUATE, FILTER_OPTION_GRADUATE, TITLE_MAJOR, FILTER_OPTION_MAJOR,
            TITLE_JOB_HUNTING, FILTER_OPTION_JOB_HUNTING, TITLE_INDUSTRY,
            FILTER_OPTION_INDUSTRY, TITLE_OUTSIDE, FILTER_OPTION_OUTSIDE,
            TITLE_JOB_HOPPING, FILTER_OPTION_JOB_HOPPING, TITLE_GAP_PERIOD,
            FILTER_OPTION_GAP_PERIOD, TITLE_FAMOUS, FILTER_OPTION_FAMOUS,
            TITLE_BROWSE, FILTER_OPTION_BROWSE
        )

        /**
         * 判断是否为流式布局数据
         */
        val flowFilterTypeList = mutableListOf(
            FILTER_OPTION_OUTSIDE, FILTER_OPTION_JOB_HOPPING
        )

        /**
         * 类型 - 标题 映射数据表-折叠起起来样式
         */
        val titleDataCloseMap = mutableMapOf<String, TitleSearchFilterOptionData>(
            TITLE_EXPERIENCE to TitleSearchFilterOptionData(
                type = TITLE_EXPERIENCE,
                content = "工作经验"
            ),
            TITLE_EDUCATION to TitleSearchFilterOptionData(
                type = TITLE_EDUCATION,
                content = "学历要求"
            ),
            TITLE_SCHOOL to TitleSearchFilterOptionData(type = TITLE_SCHOOL, content = "院校"),
            TITLE_AGE to TitleSearchFilterOptionData(type = TITLE_AGE, content = "年龄"),
            TITLE_SALARY to TitleSearchFilterOptionData(
                type = TITLE_SALARY,
                content = "薪资范围",
                subTitle = "（单选）"
            ),
            TITLE_GENDER to TitleSearchFilterOptionData(
                type = TITLE_GENDER,
                content = "性别",
                subTitle = "（单选）"
            ),
            MORE_FILTER_TITLE to TitleSearchFilterOptionData(
                type = MORE_FILTER_TITLE,
                content = "更多搜索条件"
            )
        )

        /**
         * 类型 - 标题 映射数据表-展开从毕业时间开始，后边的数据集合
         */
        val titleDataExpandSuffixMap = mutableMapOf<String, TitleSearchFilterOptionData>(
            TITLE_GRADUATE to TitleSearchFilterOptionData(
                type = TITLE_GRADUATE,
                content = "毕业时间"
            ),
            TITLE_MAJOR to TitleSearchFilterOptionData(type = TITLE_MAJOR, content = "专业"),
            TITLE_JOB_HUNTING to TitleSearchFilterOptionData(
                type = TITLE_JOB_HUNTING,
                content = "在职状态"
            ),
            TITLE_INDUSTRY to TitleSearchFilterOptionData(
                type = TITLE_INDUSTRY,
                content = "所在行业",
                subTitle = "（最多选3个）"
            ),
            TITLE_OUTSIDE to TitleSearchFilterOptionData(
                type = TITLE_OUTSIDE,
                content = "外包公司"
            ),
            TITLE_JOB_HOPPING to TitleSearchFilterOptionData(
                type = TITLE_JOB_HOPPING,
                content = "跳槽频率"
            ),
            TITLE_GAP_PERIOD to TitleSearchFilterOptionData(
                type = TITLE_GAP_PERIOD,
                content = "空档期"
            ),
            TITLE_FAMOUS to TitleSearchFilterOptionData(type = TITLE_FAMOUS, content = "名企经历"),
            TITLE_BROWSE to TitleSearchFilterOptionData(type = TITLE_BROWSE, content = "浏览偏好")
        )

        /***
         * 类型 - 具体选项的映射表
         */
        val filterDataCloseMap: MutableMap<String, List<BaseSearchFilterOptionData>>
            get() = mutableMapOf<String, List<BaseSearchFilterOptionData>>(
                FILTER_OPTION_EXPERIENCE to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "不限",
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "在校/应届",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "1年以下",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "1-3年"
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "3-5年",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "5-10年",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EXPERIENCE,
                        isSupportMultiple = true,
                        content = "10年以上"
                    )
                ),
                FILTER_OPTION_EDUCATION to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "不限",
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "本科（第一学历）",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "本科（最高学历）",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "专升本"
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "硕士",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "博士",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "大专"
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_EDUCATION,
                        isSupportMultiple = true,
                        content = "大专以下",
                        location = LOCATION_MIDDLE
                    )
                ),
                FILTER_OPTION_SCHOOL to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "不限",
                        isSelected = true),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "双一流",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "985",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "211"),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "一本",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "二本",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "三本"),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "公办",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "民办",
                        location = LOCATION_RIGHT
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_SCHOOL,
                        isSupportMultiple = true,
                        content = "海外留学")
                ),
                SLIDE_FILTER_OPTION_AGE to mutableListOf(
                    SlideSearchFilterOptionData(
                        type = SLIDE_FILTER_OPTION_AGE,
                        minValue = SearchConstants.MIN_AGE,
                        maxValue = SearchConstants.MAX_AGE
                    )
                ),
                FILTER_OPTION_SALARY to mutableListOf(
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "不限",
                        salaryMin = SearchConstants.MIN_SALARY,
                        salaryMax = SearchConstants.MAX_SALARY,
                        isSelected = true
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "10k以下",
                        salaryMin = SearchConstants.MIN_SALARY,
                        salaryMax = 10,
                        location = LOCATION_MIDDLE
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "10k-15k",
                        salaryMin = 10,
                        salaryMax = 15,
                        location = LOCATION_RIGHT
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "15k-20k",
                        salaryMin = 15,
                        salaryMax = 20
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "20k-30k",
                        salaryMin = 20,
                        salaryMax = 30,
                        location = LOCATION_MIDDLE
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "30k-50k",
                        salaryMin = 30,
                        salaryMax = 50,
                        location = LOCATION_RIGHT
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "50k以上",
                        salaryMin = 50,
                        salaryMax = SearchConstants.MAX_SALARY
                    ),
                    SalarySearchFilterOptionData(
                        type = FILTER_OPTION_SALARY,
                        content = "自定义",
                        salaryMin = SearchConstants.MIN_SALARY,
                        salaryMax = SearchConstants.MAX_SALARY,
                        location = LOCATION_MIDDLE
                    )
                ),
//                SLIDE_FILTER_OPTION_SALARY to mutableListOf(
//                    SlideSearchFilterOptionData(
//                        type = SLIDE_FILTER_OPTION_SALARY,
//                        minValue = SearchConstants.MIN_SALARY,
//                        maxValue = SearchConstants.MAX_SALARY
//                    )
//                ),
                FILTER_OPTION_GENDER to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GENDER,
                        content = "不限",
                        isSelected = true),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GENDER,
                        content = "男",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GENDER,
                        content = "女",
                        location = LOCATION_RIGHT
                    )
                )
            )

        /***
         * 类型 - 具体选项的映射表
         */
        val filterDataExpandSuffixMap: MutableMap<String, List<BaseSearchFilterOptionData>>
            get() = mutableMapOf<String, List<BaseSearchFilterOptionData>>(
                FILTER_OPTION_GRADUATE to mutableListOf(
                    GraduateSpinnerSearchFilterOptionData(
                        type = FILTER_OPTION_GRADUATE,
                        hintTxt = "请选择年份",
                        txt = "",
                        middleTxt = "及以前",
                        rightTxt = "及以后"
                    )
                ),
                FILTER_OPTION_MAJOR to mutableListOf(
                    SpinnerSearchFilterOptionData(
                        type = FILTER_OPTION_MAJOR,
                        hintTxt = "请输入专业",
                        txt = ""
                    )
                ),
                FILTER_OPTION_JOB_HUNTING to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HUNTING,
                        content = "不限",
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HUNTING,
                        content = "在职",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HUNTING,
                        content = "离职",
                        location = LOCATION_RIGHT
                    )
                ),
                FILTER_OPTION_INDUSTRY to mutableListOf(
                    SpinnerSearchFilterOptionData(
                        type = FILTER_OPTION_INDUSTRY,
                        hintTxt = "请选择行业",
                        txt = ""
                    )
                ),
                FILTER_OPTION_OUTSIDE to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_OUTSIDE,
                        content = "不限",
                        location = null,
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_OUTSIDE,
                        content = "不看最近一份工作为知名外包公司",
                        location = null
                    )
                ),
                FILTER_OPTION_JOB_HOPPING to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HOPPING,
                        content = "不限",
                        location = null,
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HOPPING,
                        content = "平均工作经验大于等于2年",
                        location = null
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HOPPING,
                        content = "最近一段工作经验大于2年",
                        location = null
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_JOB_HOPPING,
                        content = "平均工作经验大于等于1年",
                        location = null
                    )
                ),
                FILTER_OPTION_GAP_PERIOD to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GAP_PERIOD,
                        content = "不限",
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GAP_PERIOD,
                        content = "不看大于半年",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_GAP_PERIOD,
                        content = "不看大于一年",
                        location = LOCATION_RIGHT
                    )
                ),
                FILTER_OPTION_FAMOUS to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_FAMOUS,
                        content = "不限",
                        isSelected = true
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_FAMOUS,
                        content = "有过名企经验",
                        location = LOCATION_MIDDLE
                    )
                ),
                FILTER_OPTION_BROWSE to mutableListOf(
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_BROWSE,
                        content = "不限",
                        isSelected = true),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_BROWSE,
                        content = "1个月内未浏览",
                        location = LOCATION_MIDDLE
                    ),
                    DefaultSearchFilterOptionData(
                        type = FILTER_OPTION_BROWSE,
                        content = "1个月内未沟通",
                        location = LOCATION_RIGHT
                    )
                )
            )


        /**
         * 适配器使用到的数据源，支持变更顺序
         */
        val adapterFilterCloseDatas = mutableListOf<BaseSearchFilterOptionData>()
        val adapterFilterExpandSuffixDatas = mutableListOf<BaseSearchFilterOptionData>()

        init {
            //1 筛选类别的顺序后续做成动态可调，先期做好设计，未缓存到本地说明是第一次，初始化
            if (MKVUtils.getInstance().containsKey(FILTER_CACHE_LOCAL) != true) {
                MKVUtils.getInstance().encodeString(FILTER_CACHE_LOCAL, GsonUtil.toJson(filterTypeList))
            }

            val orderTypeListJson = MKVUtils.getInstance().decodeString(FILTER_CACHE_LOCAL)
            val orderTypeList = GsonUtil.fromListJson(orderTypeListJson, String::class.java)

            orderTypeList.forEach {
                val title = titleDataCloseMap[it]
                if (title is TitleSearchFilterOptionData) {
                    adapterFilterCloseDatas.add(title)
                } else {
                    val optionSubList = filterDataCloseMap[it]
                    if (!optionSubList.isNullOrEmpty()){
                        // 为流式布局数据，list不展开
                        if (flowFilterTypeList.indexOf(it) > -1) {
                            val flowSearchFilterOptionData =
                                FlowSearchFilterOptionData(type = it, options = optionSubList)
                            adapterFilterCloseDatas.add(flowSearchFilterOptionData)
                        } else {
                            adapterFilterCloseDatas.addAll(optionSubList)
                        }
                    }
                }
            }

            //2 遍历组装可以在页面显示使用收起的数据集合
            orderTypeList.forEach{ key ->
                val title = titleDataExpandSuffixMap[key]
                if (title is TitleSearchFilterOptionData) {
                    adapterFilterExpandSuffixDatas.add(title)
                } else {
                    val optionSubList = filterDataExpandSuffixMap[key]
                    if (!optionSubList.isNullOrEmpty()){
                        // 为流式布局数据，list不展开
                        if (flowFilterTypeList.indexOf(key) > -1) {
                            val flowSearchFilterOptionData =
                                FlowSearchFilterOptionData(type = key, options = optionSubList)
                            adapterFilterExpandSuffixDatas.add(flowSearchFilterOptionData)
                        } else {
                            adapterFilterExpandSuffixDatas.addAll(optionSubList)
                        }
                    }
                }
            }
        }

        /**
         * 获取展示选项数据-折叠起来
         */
        fun getFilterOptionDataCloseList(): MutableList<BaseSearchFilterOptionData> {
            return adapterFilterCloseDatas
        }

        /**
         * 获取展示选项数据-展开起来：后半部分数据
         */
        fun getFilterOptionDataExpandSuffixList(): MutableList<BaseSearchFilterOptionData> {
            return adapterFilterExpandSuffixDatas
        }
    }
}